com.rscja.team.qcom.ble

## Class RFIDWithUHFBLEN51_qcom

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.ble.EmptyUhfBle
    - - com.rscja.team.qcom.ble.RFIDWithUHFBLEN51_qcom

- All Implemented Interfaces:
    ConnectionStatusCallback, IBluetoothReader, IHandheldRFID, IReader, ISingleAntenna, IUHF, IUhfBle, IUhfReader
  Direct Known Subclasses:
    UHFTemperatureTag.RFIDWithUHFBLEN51

      public class RFIDWithUHFBLEN51_qcom
      extends EmptyUhfBle
      implements IUhfBle, ConnectionStatusCallback

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IBluetoothReader

      `VERSION_BT_FIRMWARE, VERSION_BT_HARDWARE, VERSION_BT_SOFTWARE`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IReader

      `UPDATE_STM32`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFIDWithUHFBLEN51_qcom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getStatus(ConnectionStatus status, java.lang.Object device)`
    `boolean` | `isInventorying()` uhf 是否正在盘点
    `UHFTAGInfo` | `readTagFromBuffer()` Deprecated.
    `java.util.List<UHFTAGInfo>` | `readTagFromBufferList_EpcTidUser()` Deprecated.
    `java.util.List<UHFTAGInfo>` | `readTagFromBufferList()` Deprecated.
    `void` | `setBluetoothReader(IBluetoothData bluetoothReader1)`
    `void` | `setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 设置盘点回调接口，接收循环盘点到的标签数据 Set the inventory callback interface to receive the label data from the cyclic inventory 备注：需要在开始循环盘点`IUHF.startInventoryTag()`之前调用此方法。 Note: This method needs to be called before starting the loop inventory `IUHF.startInventoryTag()`.
    `boolean` | `startInventoryTag()` 开始循环识别标签。
    `boolean` | `startInventoryTag(InventoryParameter inventoryParameter)` 开始循环识别标签。
    `boolean` | `startLocation(android.content.Context context, java.lang.String label, int bank, int ptr, IUHFLocationCallback locationCallback)`
    `boolean` | `startRadarLocation(android.content.Context context, java.lang.String tag, int bank, int ptr, IUHFRadarLocationCallback locationCallback)` 开始定位 Start location
    `boolean` | `stopInventory()` 停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程 Stop auto reading, after call this function to exit sub threads of tag data of buffer.

    - ### Methods inherited from class com.rscja.team.qcom.ble.EmptyUhfBle

      `blinkOfLed, blockWriteData, closeLed, connect, connect, deleteAllTagToFlash, disconnect, eraseData, eraseData, free, generateLockCode, getAllTagTotalFromFlash, getBarcodeTypeInSSIID, getBattery, getBeep, getBleHardwareVersion, getBluetoothVersion, getConnectStatus, getCW, getEPCAndTIDUserMode, getEx10SDKFirmware, getFastID, getFrequencyMode, getGen2, getNewTagTotalFromFlash, getParameter, getPower, getProtocol, getReaderAwaitSleepTime, getRFLink, getSTM32Version, getTagDataFromFlash, getTagfocus, getTagLocate, getTemperature, getVersion, init, inventorySingleTag, killTag, killTag, lockMem, lockMem, openLed, readData, readData, scanBarcode, scanBarcodeToBytes, sendData, setBarcodeTypeInSSIID, setBeep, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFilter, setFreHop, setFrequencyMode, setGen2, setKeyEventCallback, setOnDataChangeListener, setParameter, setPower, setProtocol, setReaderAwaitSleepTime, setRemoteBluetoothName, setRFLink, setSupportRssi, setTagFocus, startScanBarcode, startScanBarcodeInBlinkMode, startScanBarcodeInTriggleMode, startScanBTDevices, stopLocation, stopRadarLocation, stopScanBarcode, stopScanBTDevices, triggerBeep, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfJump2BootSTM32, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `factoryReset, getFastInventoryMode, readTcpServiceState, setEPCAndTIDUserMode, setFastInventoryMode, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUhfBle

      `getEx10SDKFirmware, setDynamicDistance, stopRadarLocation, uhfJump2BootSTM32`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, killTag, killTag, lockMem, lockMem, readData, readData, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setProtocol, setRFLink, setTagFocus, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUhfReader

      `deleteAllTagToFlash, getAllTagTotalFromFlash, getFastID, getNewTagTotalFromFlash, getReaderAwaitSleepTime, getTagDataFromFlash, getTagfocus, setReaderAwaitSleepTime`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IBluetoothReader

      `connect, connect, disconnect, free, getBeep, getBleHardwareVersion, getBluetoothVersion, getConnectStatus, init, sendData, setConnectionStatusCallback, setOnDataChangeListener, setRemoteBluetoothName, startScanBTDevices, stopScanBarcode, stopScanBTDevices`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IReader

      `blinkOfLed, closeLed, getBarcodeTypeInSSIID, getBattery, getParameter, getSTM32Version, openLed, scanBarcode, scanBarcodeToBytes, setBarcodeTypeInSSIID, setBeep, setKeyEventCallback, setParameter, startScanBarcode, triggerBeep`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.ISingleAntenna

      `getPower, setPower`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IHandheldRFID

      `getTagLocate, stopLocation`

- - ### Constructor Detail

    - #### RFIDWithUHFBLEN51_qcom

          public RFIDWithUHFBLEN51_qcom()

  - ### Method Detail

    - #### setBluetoothReader

          public void setBluetoothReader(IBluetoothData bluetoothReader1)

    - #### readTagFromBufferList

          public java.util.List<UHFTAGInfo> readTagFromBufferList()

      Description copied from interface: `IUhfReader`
      Deprecated. Use `#setInventoryCallback(IUHFInventoryCallback inventoryCallback)` instead .
      Specified by:
        `readTagFromBufferList` in interface `IUhfReader`
      Overrides:
        `readTagFromBufferList` in class `EmptyUhfBle`

    - #### readTagFromBufferList_EpcTidUser

          public java.util.List<UHFTAGInfo> readTagFromBufferList_EpcTidUser()

      Description copied from interface: `IUhfBle`
      Deprecated. Use `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` instead .
      Specified by:
        `readTagFromBufferList_EpcTidUser` in interface `IUhfBle`
      Overrides:
        `readTagFromBufferList_EpcTidUser` in class `EmptyUhfBle`

    - #### startInventoryTag

          public boolean startInventoryTag(InventoryParameter inventoryParameter)

      Description copied from interface: `IUhfBle`

      开始循环识别标签。

      Begin looping through the identification labels.

      通过 `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 这个回调接口获取标签数据，需要在开始盘点之前调用setInventoryCallback方法。

      Get the label data through the callback interface `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)`, you need to call the setInventoryCallback method before starting the inventory.

      备注：开启循环识别标签后模块只能响应`IUHF.stopInventory()`函数 。

      Note: The module can only respond to the `IUHF.stopInventory()` function after the loop identification tag is turned on.

      Specified by:
        `startInventoryTag` in interface `IUhfBle`
      Overrides:
        `startInventoryTag` in class `EmptyUhfBle`
      Returns:
        true:成功(success) false:失败(failure)

    - #### startInventoryTag

          public boolean startInventoryTag()

      Description copied from interface: `IUHF`

      开始循环识别标签。

      Begin looping through the identification labels.

      通过 `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 这个回调接口获取标签数据，需要在开始盘点之前调用setInventoryCallback方法。

      Get the label data through the callback interface `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)`, you need to call the setInventoryCallback method before starting the inventory.

      备注：开启循环识别标签后模块只能响应`IUHF.stopInventory()`函数 。

      Note: The module can only respond to the `IUHF.stopInventory()` function after the loop identification tag is turned on.

      Specified by:
        `startInventoryTag` in interface `IUHF`
      Overrides:
        `startInventoryTag` in class `EmptyUhfBle`
      Returns:
        true:成功(success) false:失败(failure)

    - #### stopInventory

          public boolean stopInventory()

      Description copied from interface: `IUHF`
      停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程
      Stop auto reading, after call this function to exit sub threads of tag data of buffer.
      Specified by:
        `stopInventory` in interface `IUHF`
      Overrides:
        `stopInventory` in class `EmptyUhfBle`
      Returns:
        true:成功(success) false:失败(failure)

    - #### readTagFromBuffer

          public UHFTAGInfo readTagFromBuffer()

      Description copied from interface: `IUHF`
      Deprecated. Use `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` instead .
      Specified by:
        `readTagFromBuffer` in interface `IUHF`
      Overrides:
        `readTagFromBuffer` in class `EmptyUhfBle`

    - #### isInventorying

          public boolean isInventorying()

      Description copied from interface: `IUHF`
      uhf 是否正在盘点
      Specified by:
        `isInventorying` in interface `IUHF`
      Overrides:
        `isInventorying` in class `EmptyUhfBle`
      Returns:

    - #### getStatus

          public void getStatus(ConnectionStatus status,
                                java.lang.Object device)

      Specified by:
        `getStatus` in interface `ConnectionStatusCallback`
      Parameters:
        `status` - 状态(status)
        `device` - 目标设备(device)

    - #### setInventoryCallback

          public void setInventoryCallback(IUHFInventoryCallback inventoryCallback)

      Description copied from interface: `IUHF`
      设置盘点回调接口，接收循环盘点到的标签数据
      Set the inventory callback interface to receive the label data from the cyclic inventory
      备注：需要在开始循环盘点`IUHF.startInventoryTag()`之前调用此方法。
      Note: This method needs to be called before starting the loop inventory `IUHF.startInventoryTag()`.
      Specified by:
        `setInventoryCallback` in interface `IUHF`
      Overrides:
        `setInventoryCallback` in class `EmptyUhfBle`
      Parameters:
        `inventoryCallback` - 盘点回调接口(inventory callback interface)

    - #### startLocation

          public boolean startLocation(android.content.Context context,
                                       java.lang.String label,
                                       int bank,
                                       int ptr,
                                       IUHFLocationCallback locationCallback)

      Specified by:
        `startLocation` in interface `IHandheldRFID`
      Overrides:
        `startLocation` in class `EmptyUhfBle`

    - #### startRadarLocation

          public boolean startRadarLocation(android.content.Context context,
                                            java.lang.String tag,
                                            int bank,
                                            int ptr,
                                            IUHFRadarLocationCallback locationCallback)

      Description copied from interface: `IUhfBle`
      开始定位
      Start location
      Specified by:
        `startRadarLocation` in interface `IHandheldRFID`
      Specified by:
        `startRadarLocation` in interface `IUhfBle`
      Overrides:
        `startRadarLocation` in class `EmptyUhfBle`
      Parameters:
        `context` - context
        `tag` - 要定位的标签(locate to the label)
        `bank` - 标签的存储区(Storage area):`IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 起始地址的偏移量(start address)
      Returns:
        true:成功(success) false:失败(failure)